API ReferenceEcosystems
Create ecosystem
POST
/v1/ecosystemsCreates an ecosystem.
Roles
admindts-provider
Analytics Events
ECOSYSTEM_CREATE_STARTECOSYSTEM_CREATE_SUCCESSECOSYSTEM_CREATE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/ecosystems" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "integrations": [ { "format": "MATTR", "url": "string", "enabled": true, "integrationResult": { "success": true, "lastSyncedAt": "2019-08-24T14:15:22Z", "lastModifiedAt": "2019-08-24T14:15:22Z", "failReasons": [ { "type": "string", "message": "string" } ] } } ]}How would you rate this page?
Delete a RICAL signer DELETE
Deletes a RICAL signer. Deleting a RICAL signer does not affect any RICALs it has already signed — those remain valid. It only means this signer can no longer be used to sign new RICALs. <Callout> Only available in implementations using unmanaged (external) DTS root CA certificates. </Callout>
Retrieve all ecosystems GET
Retrieves a list of ecosystems.